## org.gnu.gdk
Class VisibilityState

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.VisibilityState

public class VisibilityState
extends org.gnu.glib.Enum

Field Summary
`static VisibilityState` `FULLY_OBSCURED`
`static VisibilityState` `PARTIAL`
`static VisibilityState` `UNOBSCURED`

Method Summary
`VisibilityState` `and(VisibilityState other)`
`static VisibilityState` `intern(int value)`
`VisibilityState` `or(VisibilityState other)`
`boolean` `test(VisibilityState other)`
`VisibilityState` `xor(VisibilityState other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNOBSCURED

    public static final VisibilityState UNOBSCURED

### PARTIAL

    public static final VisibilityState PARTIAL

### FULLY_OBSCURED

    public static final VisibilityState FULLY_OBSCURED

Method Detail

### intern

    public static VisibilityState intern(int value)

### or

    public VisibilityState or(VisibilityState other)

### and

    public VisibilityState and(VisibilityState other)

### xor

    public VisibilityState xor(VisibilityState other)

### test

    public boolean test(VisibilityState other)